# calc

Calc est une calculatrice en ligne de commande écrite en Go et fonctionnant en notation polonaise inverse.

## Installation

Vous devez avoir go installé sur votre système. Pour installer calc :

```
go install gitea.zaclys.com/bvaudour/calc
```

## Usage

Saisissez simplement `calc` dans votre terminal. Pour afficher l’aide, saisissez `h` puis appuyez sur la touche `Entrée`.

Exemple :

```
1 1 + p
```

(effectue l’opération `1+1` puis affiche le résultat)

## Opérateurs supportés

### Opérateurs mathématiques de base

- Addition
- Soustraction
- Multiplication
- Division entière
- Division exacte
- Reste
- Incrémentation
- Décrémentation
- Valeur absolue
- Inverse
- Puissance au carré
- Puissance quelconque
- Racine carrée
- Racine quelconque
- Factorielle
- Valeur absolue

### Comparaison de nombres

- Comparaison
- Égalité
- Inégalité
- Supériorité
- Supériorité stricte
- Infériorité
- Infériorité stricte

### Opération sur les bits

- Déplacement à gauche
- Déplacement à droite

### Statistiques

- Minimum
- Maximum
- Moyenne
- Médiane
- Écart-type
- Mode
- Variance

## Format des nombres

Calc supporte 4 types de nombres :

- Entiers
- Décimaux
- Fractions
- Nombres scientifiques

Les nombres peuvent être spécifiés en n’importe quelle base, de 2 à 36.

## Registre

Le registre permet de stocker en mémoire des nombres ou piles de nombres, et les réinjecter dans la pile.

## Macro

Les macros permettent d’enregistrer des suites de commandes complexes.
